/*
 * mate tridu ctverec a kruh
 * kazda obsahuje metodu obvod (nebo obsah)
 * vytvor Iface pro metodu obvod (nebo obsah)
 * nacti ze souboru radky s udaji = rozmery
 * vypocti obvody, secti je
 * v grafickem okne vypis soucet obvodu ctverce a kruhu = jeden vysledek
 * soubor si urcit libovolne

 */
package test3;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Radka
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    //nacteni dat
    static List nacistData(String jmSouboru) throws FileNotFoundException, IOException {
        FileReader dataF = new FileReader(jmSouboru);
        BufferedReader dataB = new BufferedReader(dataF);

        ArrayList seznam = new ArrayList();

        Metody tvar;

        for (String radek = dataB.readLine(); radek != null; radek = dataB.readLine()) {
            String[] poleStrings = radek.split(";");
            if (poleStrings[0].equalsIgnoreCase("k")) {
            tvar = new Kruh(Double.parseDouble(poleStrings[1]));
            }//if
            else {tvar = new Ctverec(Double.parseDouble(poleStrings[1]));
            }//else

            //tvar = new Kruh(Double.parseDouble(poleStrings[0]));
            //tvar = new Ctverec(Double.parseDouble(poleStrings[1]));
             
            seznam.add(tvar);
        }//for

        return seznam;

    }//nacistData

    public static void main(String[] args) throws FileNotFoundException, IOException {
        // TODO code application logic here

        List data = nacistData("data2.csv");

        double obvody = 0.0;
        double obsahy = 0.0;

        for (Object o : data.toArray()) {
            obvody = obvody + ((Metody) o).obvod();
            obsahy = obsahy + ((Metody) o).obsah();
        }//for

        System.out.println("obvody: " + obvody + ", obsahy: " + obsahy);
    }
}
